petsc-3.12.1 2019-10-22
Report Typos and Errors

# KSPSetPostSolve

Sets a function that is called after every KSPSolve() completes (whether it converges or not)

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPSetPostSolve(KSP ksp,PetscErrorCode (*postsolve)(KSP,Vec,Vec,void*),void *postctx)

Logically Collective on ksp

### Input Parameters

| ksp | - the solver object
| postsolve | - the function to call after the solve
| postctx | - any context needed by the function

### Calling sequence of postsolve

     func(KSP ksp,Vec rhs,Vec x,void *ctx)

| ksp | - the KSP context
| rhs | - the right-hand side vector
| x | - the solution vector
| ctx | - optional user-provided context

### See Also

KSPSetUp(), KSPSolve(), KSPDestroy(), KSP, KSPSetPreSolve()

### Level

developer

### Location

src/ksp/ksp/interface/itcreate.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages